%define phoenix_home  %_libdir/phoenix
Name: phoenix
Summary: Web browser 
Version: 0.5
Release: alt1
License: MPL/LGPL

Source0: phoenix-%version.tar.gz
Source1: phoenix.sh
Source2: mozilla_16.xpm.bz2
Source3: mozilla_32.xpm.bz2
Source4: mozilla_48.xpm.bz2
Source6: phoenix-%version-ru.tar.bz2
Source7: phoenix-0.4-instchrome.add
Source8: .mozconfig
Source22:  searchplugins.tar.bz2
Source26:  bookmarks.html
Source30: rebuild-databases.sh

Group: Networking/WWW
BuildPreReq: libpng-devel, libjpeg-devel, zlib-devel, zip, perl, autoconf, indexhtml, fontconfig-devel, libXft-devel, freetype2-devel
Obsoletes: phoenix-en

%description
Phoenix is an open-source web browser, designed for standards
compliance, performance and portability.

%package ru
Summary: Phoenix in Russian
Group: Networking/WWW
PreReq: phoenix = %version-%release

%description ru
phoenix in Russian


%prep
%setup -q -nmozilla
rm -f .mozconfig
cp %SOURCE8 .
# build phoenix
export MOZ_PHOENIX=1

make -f client.mk build



%install
mkdir -p $RPM_BUILD_ROOT%phoenix_home
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir


cp %{SOURCE26} $RPM_BUILD_DIR/mozilla/dist/bin/defaults/profile/
cd $RPM_BUILD_DIR/mozilla/dist/bin/
  tar jxvf %SOURCE22
cd -

cd $RPM_BUILD_DIR/mozilla/dist/bin/chrome
  tar jxvf %SOURCE6
cd -



cp -rL $RPM_BUILD_DIR/mozilla/dist/bin/* $RPM_BUILD_ROOT%phoenix_home

cd $RPM_BUILD_ROOT%phoenix_home/chrome
  mv en-US.jar en-US.jar.en
  mv en-unix.jar en-unix.jar.en
  mv US.jar US.jar.en
  ln -s en-US.jar.en en-US.jar
  ln -s en-unix.jar.en en-unix.jar
  ln -s US.jar.en US.jar
cd -


# put mozilla-xremote-client into the standard path
/bin/cp $RPM_BUILD_DIR/mozilla/dist/bin/mozilla-xremote-client \
        $RPM_BUILD_ROOT%_bindir/phoenix-xremote-client

# build our initial component and chrome registry
# we don't need to do this anymore

pushd `pwd`
  cd $RPM_BUILD_ROOT%phoenix_home
#  cat %SOURCE7 >> chrome/installed-chrome.txt
  rm -rf  $RPM_BUILD_ROOT%phoenix_home/components/xpti* $RPM_BUILD_ROOT%phoenix_home/component.reg
  # register our components
  LD_LIBRARY_PATH=$RPM_BUILD_ROOT%phoenix_home MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%phoenix_home ./regxpcom
  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  #echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  #echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
  # set up the chrome rdf files
  #LD_LIBRARY_PATH=$RPM_BUILD_ROOT%phoenix_home:$RPM_BUILD_ROOT%_libdir MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%phoenix_home ./regchrome
  # fix permissions of the chrome directories
  find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd


bzcat %SOURCE2 > $RPM_BUILD_ROOT%_miconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_iconsdir/%name.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT%_liconsdir/%name.xpm

cp %SOURCE1 $RPM_BUILD_ROOT%_bindir/phoenix
cp %SOURCE30 $RPM_BUILD_ROOT%phoenix_home/rebuild-databases.sh

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%_menudir
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%_menudir/%name
?package(%name):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/WWW"\
  title="Phoenix"\
  longtitle="The free and open source web browser"\
  command="%_bindir/phoenix"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%_menudir
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry

#%triggerin -- netscape-plugins
#if [ -f %_libdir/netscape/plugins/libflashplayer.so -a ! -f %_libdir/mozilla/plugins/libflashplayer.so ]; then
# ln -s %_libdir/netscape/plugins/libflashplayer.so %_libdir/mozilla/plugins/libflashplayer.so
# ln -s %_libdir/netscape/plugins/ShockwaveFlash.class %_libdir/mozilla/plugins/ShockwaveFlash.class
#fi

#%triggerpostun -- netscape-plugins
#[ "$2" = "0" ] || exit 0
#if [ -L %_libdir/mozilla/plugins/libflashplayer.so -a ! -f `perl -e 'print readlink("%_libdir/mozilla/plugins/libflashplayer.so");'` ]; then
# rm -f %_libdir/mozilla/plugins/libflashplayer.so
# rm -f %_libdir/mozilla/plugins/ShockwaveFlash.class
#fi

%pre 
rm -rf /usr/lib/phoenix

%post
# menu
# check if flash plugin is installed
#if [ -f %_libdir/netscape/plugins/libflashplayer.so -a ! -f %_libdir/mozilla/plugins/libflashplayer.so ]; then
# ln -s %_libdir/netscape/plugins/libflashplayer.so %_libdir/mozilla/plugins/libflashplayer.so
#fi
#if [ -f %_libdir/netscape/plugins/ShockwaveFlash.class -a ! -f %_libdir/mozilla/plugins/ShockwaveFlash.class ]; then
# ln -s %_libdir/netscape/plugins/ShockwaveFlash.class %_libdir/mozilla/plugins/ShockwaveFlash.class
#fi
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/phoenix/rebuild-databases.sh ]; then
   LD_LIBRARY_PATH=%phoenix_home   /usr/lib/phoenix/rebuild-databases.sh
fi
%update_menus

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
## menu
%clean_menus

%preun
if [ "$1" == "0" ]; then
	/bin/rm -rf %_libdir/phoenix/chrome/overlayinfo
	/bin/rm -f %_libdir/phoenix/chrome/*.rdf
	/bin/rm -f %_libdir/phoenix/component.reg
	/bin/rm -f %_libdir/phoenix/components/xpti*.dat
#	if [ -L %_libdir/phoenix/plugins/libflashplayer.so ]; then
#		 rm -f %_libdir/phoenix/plugins/libflashplayer.so
#                 rm -f %_libdir/phoenix/plugins/ShockwaveFlash.class
#	fi
fi


%post ru
# run ldconfig before regxpcom
cd %_libdir/phoenix/chrome
  rm -f en-US.jar
  rm -f en-unix.jar
  rm -f US.jar
  ln -s en-US.jar.ru en-US.jar
  ln -s en-unix.jar.ru en-unix.jar
  ln -s US.jar.ru US.jar
cd -
/sbin/ldconfig >/dev/null 2>/dev/null

#perl -pi -e 's/select\,en-US/select\,ru-RU/g' %_libdir/%name/chrome/installed-chrome.txt
#perl -pi -e 's/select\,uk-UA/select\,ru-RU/g' %_libdir/%name/chrome/installed-chrome.txt
#perl -pi -e 's/select\,de-AT/select\,ru-RU/g' %_libdir/%name/chrome/installed-chrome.txt

if [ -f /usr/lib/phoenix/rebuild-databases.sh ]; then
  LD_LIBRARY_PATH=%phoenix_home    /usr/lib/phoenix/rebuild-databases.sh
fi

%postun ru
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
cd %_libdir/phoenix/chrome
  rm -f en-US.jar
  rm -f en-unix.jar
  rm -f US.jar
  ln -s en-US.jar.en en-US.jar
  ln -s en-unix.jar.en en-unix.jar
  ln -s US.jar.en US.jar
cd -  

#if [ -f /usr/lib/mozilla/chrome/uk-UA.jar ]; then
#  perl -pi -e 's/select\,ru-RU/select\,uk-UA/g' %_libdir/%name/chrome/installed-chrome.txt
#elif  [ -f /usr/lib/mozilla/chrome/de-AT.jar ]; then
#  perl -pi -e 's/select\,ru-RU/select\,de-AT/g' %_libdir/%name/chrome/installed-chrome.txt
#else
#  perl -pi -e 's/select\,ru-RU/select\,en-US/g' %_libdir/%name/chrome/installed-chrome.txt
#fi
  
if [ -f /usr/lib/phoenix/rebuild-databases.sh ]; then
 LD_LIBRARY_PATH=%phoenix_home    /usr/lib/phoenix/rebuild-databases.sh
fi



%files 
%_bindir/phoenix
%_bindir/phoenix-xremote-client
%phoenix_home/rebuild-databases.sh
%phoenix_home/lib*.so
%phoenix_home/phoenix*
%phoenix_home/reg*
%phoenix_home/run-mozilla.sh
%phoenix_home/timebombgen
%phoenix_home/xpicleanup
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%dir %phoenix_home/defaults
%dir %phoenix_home/chrome/
%dir %phoenix_home/components
%dir %phoenix_home/res
%dir %phoenix_home/icons
%dir %phoenix_home/searchplugins
%dir %phoenix_home/plugins
%dir %phoenix_home

%phoenix_home/defaults/*
%phoenix_home/components/*.js
%phoenix_home/components/*.so
%phoenix_home/components/*.xpt
%verify (not md5 mtime size) %phoenix_home/components/xpti.dat
%phoenix_home/components/compreg.dat
%phoenix_home/res/*
%phoenix_home/searchplugins/*
%phoenix_home/icons/*
%phoenix_home/plugins/*
#verify (not md5 mtime size) %phoenix_home/component.reg
%phoenix_home/chrome/browser
%phoenix_home/chrome/browser.jar
%phoenix_home/chrome/chromelist.txt
%phoenix_home/chrome/classic
%phoenix_home/chrome/classic.jar
%phoenix_home/chrome/comm
%phoenix_home/chrome/comm.jar
%phoenix_home/chrome/embed-sample
%phoenix_home/chrome/embed-sample.jar
#%phoenix_home/chrome/forms
#%phoenix_home/chrome/forms.jar
#phoenix_home/chrome/help
#phoenix_home/chrome/help.jar
%verify (not md5 mtime size) %phoenix_home/chrome/installed-chrome.txt
#phoenix_home/chrome/modern
#phoenix_home/chrome/modern.jar
#ghost %verify (not md5 mtime size) %phoenix_home/chrome/overlayinfo
%phoenix_home/chrome/pipnss
%phoenix_home/chrome/pipnss.jar
%phoenix_home/chrome/pippki
%phoenix_home/chrome/pippki.jar
%phoenix_home/chrome/toolkit
%phoenix_home/chrome/toolkit.jar
%phoenix_home/chrome/en-unix.jar.en
%phoenix_home/chrome/en-US.jar.en
%phoenix_home/chrome/US.jar.en
%phoenix_home/chrome/en-unix.jar
%phoenix_home/chrome/en-US.jar
%phoenix_home/chrome/US.jar


%files ru 
%phoenix_home/chrome/en-unix.jar.ru
%phoenix_home/chrome/en-US.jar.ru
%phoenix_home/chrome/US.jar.ru

%changelog
* Sun Dec 15 2002 AEN <aen@altlinux.ru> 0.5-alt1
- new version
- package en removed

* Tue Nov 05 2002 AEN <aen@altlinux.ru> 0.4-alt1
- new version

* Sat Oct 19 2002 AEN <aen@altlinux.ru> 0.3-alt2
- AutoProv: no removed

* Thu Oct 17 2002 AEN <aen@altlinux.ru> 0.3-alt1
- first build for Sisyphus

